module Faith where


{--| The Faith system uses a system of stringing together prayers to create effects. Miracles differ from magic in that
--   a prayer can be ended at any time, and deployed at a moment's notice. This allows for dynamic adjustment of effects
--   if the caster's situation changes. On the flip side, the prayers may require somatic or verbal components or other
--   active costs during execution.

--   Prayers themselves have slightly randomised effects per playthrough, while keeping to a theme.
--   In the future, prayer usage should be tracked on a server to provide dynamic resonance and dissonance effects.

|--}